# engreneur

Machine de fabrication d'engrenages


# Cahier des charges

## Matériaux usinables

* Matières plastiques : nylon, PEHD, thermoplastiques d'impression 3D, PMMA (?), ...
* Métaux tendre : aluminium, laiton
* Bois

## Dimensions des pièces à usiner

* diamètre intérieur : 2 à 10 mm (?)
* diamètre extérieur : 25 à 150 mm (?)
* épaisseur : ??? dépend des matériaux ? de ~0.1mm à quelques millimètres
* pas des dents : ???

## UI

* affiche LCD + boutons de réglable sur la machine
* a priori pas de contrôle par PC

## Matériel utilisé

* au maximum du matériel standard ou récupérable sur de vielles imprimantes 3D:
    * 2 moteur pas à pas NEMA17 pour la rotation (axe R) de la pièce et le déplacement de la fraise en Z
    * en option un 3e moteur pour le réglage en Y (diamètre)
    * déplacement par vis sans fin + tiges rectifiées (ou rail linéaire ?) pour le Z et Y
    * structures en profilés alu et accessoires classique complétés avec des pièces imprimées 3D 
    * électronique
        * récupération des drivers pas à pas, affichage, ...
        * microcontroleur compatible avec Circuitpython (ou micropython)
    * récupération alimentation imprimante 3D
* plateau support de pièce : plaque de PEHD ou plateau alu ?
* broche pour la fraise besoin spécifique de vitesse (réglable ?) et de puissance :
    * achat d'un moteur spécifique avec l'axe de fixation de fraise
    * détournement d'un moteur de perceuse de récupération (modèle à batterie 10.8-12V pour facilité l'alimentation) ?